Register Custom Domain
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{identifier}/custom-domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"hostname": "<string>"
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{identifier}/custom-domains"
payload = { "hostname": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({hostname: '<string>'})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{identifier}/custom-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"cname_target": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"hostname": "<string>",
"status": "<string>",
"txt_record_name": "<string>",
"txt_record_value": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"cloudflare_status": "<string>",
"last_checked_at": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"last_error_detail": "<string>",
"last_verified_at": "2023-11-07T05:31:56Z",
"ssl_status": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}hub-custom-domains
Register Custom Domain
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{identifier}
/
custom-domains
Register Custom Domain
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Required string length:
1 - 100Body
application/vnd.api+json
Required string length:
1 - 253⌘I